Last Comment Bug 652321 - JM: inline jsop_mod on 64-bit
: JM: inline jsop_mod on 64-bit
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86_64 All
: -- normal (vote)
: ---
Assigned To: Jan de Mooij [:jandem] (PTO until July 31)
:
Mentors:
Depends on:
Blocks: JaegerSpeed 652303
  Show dependency treegraph
 
Reported: 2011-04-23 05:18 PDT by Jan de Mooij [:jandem] (PTO until July 31)
Modified: 2011-05-23 14:11 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (3.17 KB, patch)
2011-04-23 05:54 PDT, Jan de Mooij [:jandem] (PTO until July 31)
dvander: review+
Details | Diff | Splinter Review

Description Jan de Mooij [:jandem] (PTO until July 31) 2011-04-23 05:18:13 PDT
Currently jsop_mod always calls a stub on 64-bit and this is killing performance on the benchmark in bug 652303.
Comment 1 Jan de Mooij [:jandem] (PTO until July 31) 2011-04-23 05:54:04 PDT
Created attachment 527935 [details] [diff] [review]
Patch

Is it really this simple? This passes jit-test and jstests, will look more closely next week and ask for review.
Comment 2 Jan de Mooij [:jandem] (PTO until July 31) 2011-05-17 05:07:42 PDT
http://hg.mozilla.org/tracemonkey/rev/e6c5fbc0b542
Comment 3 Chris Leary [:cdleary] (not checking bugmail) 2011-05-23 14:11:36 PDT
cdleary-bot mozilla-central merge info:
http://hg.mozilla.org/mozilla-central/rev/e6c5fbc0b542

Note You need to log in before you can comment on or make changes to this bug.